#include <iostream>
#include <string>
using namespace std;

int main()
{
    string a;
    cin>>a;
    int q,w;
    cin>>q>>w;
    if(abs(q-w)>a.size())
    {
        cout<<"nemoguce";
    }
    else
    {
        if(q>w)
        {
            cout<<a[0];
            for(int i=0;i<w;i++)
            {
                cout<<a[1];
                if(q>0)
                {
                    cout<<a[0];
                }
                q--;
            }
        }
        else if(w>q)
        {
            cout<<a[1];
            for(int i=0;i<q;i++)
            {
                cout<<a[0];
                if(w>0)
                {
                    cout<<a[1];
                }
                w--;
            }
        }
        else
        {
            for(int i=0;i<q;i++)
            {
                cout<<a[0];
                cout<<a[1];
            }
        }
    }
    return 0;
}